Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.s1
Class WrapperMessageResources

    java.lang.Object
      org.apache.struts.util.MessageResources
          org.apache.struts2.s1.WrapperMessageResources

All Implemented Interfaces:
  java.io.Serializable

    public class WrapperMessageResources

extends org.apache.struts.util.MessageResources

Wraps the Struts 1 message resources, delegating to Struts 2 resources

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.util.MessageResources
`config, defaultFactory, defaultLocale, factory, formats, log, returnNull`

Constructor Summary
`WrapperMessageResources(com.opensymphony.xwork2.TextProvider provider)`

Method Summary
`java.lang.String` | `getMessage(java.util.Locale locale, java.lang.String key)`

Methods inherited from class org.apache.struts.util.MessageResources
`escape, getConfig, getFactory, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessage, getMessageResources, getReturnNull, isEscape, isPresent, isPresent, localeKey, log, log, messageKey, messageKey, setEscape, setReturnNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrapperMessageResources

    public WrapperMessageResources(com.opensymphony.xwork2.TextProvider provider)

Method Detail

### getMessage

    public java.lang.String getMessage(java.util.Locale locale,
                                       java.lang.String key)

  Specified by:
    `getMessage` in class `org.apache.struts.util.MessageResources`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.